#include <stdint.h>


#define BDG_STX (2)
#define BDG_ETX (3)
#define BDG_ACK (6)
#define BDG_INQ (0xff)
#define BDG_INQRES (0xf7)
#define BDG_CLRSCR (0xfc)


typedef struct {
	int width; //in 8 pixel groups
	int height;
	uint8_t *img;	
} image_t;

int create_image(image_t *img, int w, int h);
int free_image(image_t *img);
int load_from_file(image_t *img, char *fn);
void write_image(image_t *img);
int init_badge(image_t *img);
void refresh_badge();
void copy_image(image_t *src, image_t *dest, int sx, int sy);
